Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mockito
Class BDDMockito.BDDOngoingStubbingImpl<T>

    java.lang.Object
      org.mockito.BDDMockito.BDDOngoingStubbingImpl<T>

All Implemented Interfaces:
  BDDMockito.BDDMyOngoingStubbing<T>

Enclosing class:
  BDDMockito

    public static class BDDMockito.BDDOngoingStubbingImpl<T>

extends java.lang.Object
implements BDDMockito.BDDMyOngoingStubbing<T>

Constructor Summary
`BDDMockito.BDDOngoingStubbingImpl(OngoingStubbing<T> ongoingStubbing)`

Method Summary
`
`<M> M`
` | `getMock()` See original `OngoingStubbing.getMock()`
`BDDMockito.BDDMyOngoingStubbing<T>` | `will(Answer<?> answer)` See original `OngoingStubbing.then(Answer)`
`BDDMockito.BDDMyOngoingStubbing<T>` | `willAnswer(Answer<?> answer)` See original `OngoingStubbing.thenAnswer(Answer)`
`BDDMockito.BDDMyOngoingStubbing<T>` | `willCallRealMethod()` See original `OngoingStubbing.thenCallRealMethod()`
`BDDMockito.BDDMyOngoingStubbing<T>` | `willReturn(T value)` See original `OngoingStubbing.thenReturn(Object)`
`BDDMockito.BDDMyOngoingStubbing<T>` | `willReturn(T value, T... values)` See original `OngoingStubbing.thenReturn(Object, Object[])`
`BDDMockito.BDDMyOngoingStubbing<T>` | `willThrow(java.lang.Class<? extends java.lang.Throwable>... throwableClasses)` See original `OngoingStubbing.thenThrow(Class[])`
`BDDMockito.BDDMyOngoingStubbing<T>` | `willThrow(java.lang.Throwable... throwables)` See original `OngoingStubbing.thenThrow(Throwable...)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BDDMockito.BDDOngoingStubbingImpl

    public BDDMockito.BDDOngoingStubbingImpl(OngoingStubbing<T> ongoingStubbing)

Method Detail

### willAnswer

    public BDDMockito.BDDMyOngoingStubbing<T> willAnswer(Answer<?> answer)

  Description copied from interface: `BDDMockito.BDDMyOngoingStubbing`
  See original `OngoingStubbing.thenAnswer(Answer)`

  Specified by:
    `willAnswer` in interface `BDDMockito.BDDMyOngoingStubbing<T>`

### will

    public BDDMockito.BDDMyOngoingStubbing<T> will(Answer<?> answer)

  Description copied from interface: `BDDMockito.BDDMyOngoingStubbing`
  See original `OngoingStubbing.then(Answer)`

  Specified by:
    `will` in interface `BDDMockito.BDDMyOngoingStubbing<T>`

### willReturn

    public BDDMockito.BDDMyOngoingStubbing<T> willReturn(T value)

  Description copied from interface: `BDDMockito.BDDMyOngoingStubbing`
  See original `OngoingStubbing.thenReturn(Object)`

  Specified by:
    `willReturn` in interface `BDDMockito.BDDMyOngoingStubbing<T>`

### willReturn

    public BDDMockito.BDDMyOngoingStubbing<T> willReturn(T value,
                                                         T... values)

  Description copied from interface: `BDDMockito.BDDMyOngoingStubbing`
  See original `OngoingStubbing.thenReturn(Object, Object[])`

  Specified by:
    `willReturn` in interface `BDDMockito.BDDMyOngoingStubbing<T>`

### willThrow

    public BDDMockito.BDDMyOngoingStubbing<T> willThrow(java.lang.Throwable... throwables)

  Description copied from interface: `BDDMockito.BDDMyOngoingStubbing`
  See original `OngoingStubbing.thenThrow(Throwable...)`

  Specified by:
    `willThrow` in interface `BDDMockito.BDDMyOngoingStubbing<T>`

### willThrow

    public BDDMockito.BDDMyOngoingStubbing<T> willThrow(java.lang.Class<? extends java.lang.Throwable>... throwableClasses)

  Description copied from interface: `BDDMockito.BDDMyOngoingStubbing`
  See original `OngoingStubbing.thenThrow(Class[])`

  Specified by:
    `willThrow` in interface `BDDMockito.BDDMyOngoingStubbing<T>`

### willCallRealMethod

    public BDDMockito.BDDMyOngoingStubbing<T> willCallRealMethod()

  Description copied from interface: `BDDMockito.BDDMyOngoingStubbing`
  See original `OngoingStubbing.thenCallRealMethod()`

  Specified by:
    `willCallRealMethod` in interface `BDDMockito.BDDMyOngoingStubbing<T>`

### getMock

    public <M> M getMock()

  Description copied from interface: `BDDMockito.BDDMyOngoingStubbing`
  See original `OngoingStubbing.getMock()`

  Specified by:
    `getMock` in interface `BDDMockito.BDDMyOngoingStubbing<T>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD